com.pixelmed.event

## Class EventContext

- java.lang.Object
- - com.pixelmed.event.EventContext

    public class EventContext
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`EventContext(java.lang.String description)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EventContext

    public EventContext(java.lang.String description)

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` -

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  hash code of context

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  description of context